#pragma once

#include "core/script.hpp"

#include "constants.hpp"


struct wall_script : frog::script
{
    float angle = 0;
    float y = 0;

    wall_script(float angle, float y)
        : angle(angle * frog::geo::ToRad), y(y) {}

    void init(frog::game_object& object, frog::engine&) override
    {
        object.model().rot.y() = angle;
        object.model().pos.y() = y;
    }
};
